<?xml version="1.0" encoding="UTF-8"?>

<!-- https://phpunit.de/manual/current/en/appendixes.configuration.html -->
<phpunit xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:noNamespaceSchemaLocation="http://schema.phpunit.de/6.5/phpunit.xsd"
         backupGlobals="false"
         colors="true"
         bootstrap="config/bootstrap.php"
>
    <php>
        <ini name="error_reporting" value="-1" />
        <env name="APP_ENV" value="test" />
        <env name="SHELL_VERBOSITY" value="-1" />

        <!-- ###+ symfony/framework-bundle ### -->
        <env name="APP_ENV" value="dev"/>
        <env name="APP_SECRET" value="58cd8e6c8eded6e093dba0b0f509089d"/>
        <!-- env name="TRUSTED_PROXIES" value="127.0.0.1,127.0.0.2" -->
        <!-- env name="TRUSTED_HOSTS" value="'^localhost|example\.com$'" -->
        <!-- ###- symfony/framework-bundle ### -->

        <!-- ###+ nelmio/cors-bundle ### -->
        <env name="CORS_ALLOW_ORIGIN" value="^https?://localhost(:[0-9]+)?$"/>
        <!-- ###- nelmio/cors-bundle ### -->

        <!-- ###+ doctrine/doctrine-bundle ### -->
        <!-- Format described at http://docs.doctrine-project.org/projects/doctrine-dbal/en/latest/reference/configuration.html#connecting-using-a-url -->
        <!-- For an SQLite database, use: "sqlite:///%kernel.project_dir%/var/data.db" -->
        <!-- Configure your db driver and server_version in config/packages/doctrine.yaml -->
        <env name="DATABASE_URL" value="mysql://db_user:db_password@127.0.0.1:3306/db_name"/>
        <!-- ###- doctrine/doctrine-bundle ### -->

        <!-- ###+ lexik/jwt-authentication-bundle ### -->
        <env name="JWT_SECRET_KEY" value="%kernel.project_dir%/config/jwt/private.pem"/>
        <env name="JWT_PUBLIC_KEY" value="%kernel.project_dir%/config/jwt/public.pem"/>
        <env name="JWT_PASSPHRASE" value="af72baf0247374357f65558eaa45dc72"/>
        <!-- ###- lexik/jwt-authentication-bundle ### -->
    </php>

    <testsuites>
        <testsuite name="Project Test Suite">
            <directory>tests</directory>
        </testsuite>
    </testsuites>

    <filter>
        <whitelist>
            <directory>src</directory>
        </whitelist>
    </filter>
</phpunit>
